org.apache.poi.hslf.record

## Class TxMasterStyleAtom

- java.lang.Object
- - org.apache.poi.hslf.record.Record
  - - org.apache.poi.hslf.record.RecordAtom
    - - org.apache.poi.hslf.record.TxMasterStyleAtom

- All Implemented Interfaces:
    GenericRecord

      public final class TxMasterStyleAtom
      extends RecordAtom

  TxMasterStyleAtom atom (4003).

  Stores default character and paragraph styles. The atom instance value is the text type and is encoded like the txstyle field in TextHeaderAtom. The text styles are located in the MainMaster container, except for the "other" style, which is in the Document.Environment container.

  This atom can store up to 5 pairs of paragraph+character styles, each pair describes an indent level. The first pair describes first-level paragraph with no indentation.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `MAX_INDENT` Maximum number of indentation levels allowed in PowerPoint documents

    - ### Fields inherited from class org.apache.poi.hslf.record.Record

      `logger`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TxMasterStyleAtom(byte[] source, int start, int len)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<TextPropCollection>` | `getCharacterStyles()` Returns array of character styles defined in this record.
    `java.util.Map<java.lang.String,java.util.function.Supplier<?>>` | `getGenericProperties()`
    `java.util.List<TextPropCollection>` | `getParagraphStyles()` Returns array of paragraph styles defined in this record.
    `long` | `getRecordType()` We are of type 4003
    `int` | `getTextType()` Return type of the text.
    `protected void` | `init()` parse the record data and initialize styles
    `void` | `updateStyles()` Updates the rawdata from the modified paragraph/character styles
    `void` | `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk

    - ### Methods inherited from class org.apache.poi.hslf.record.RecordAtom

      `getChildRecords, isAnAtom`

    - ### Methods inherited from class org.apache.poi.hslf.record.Record

      `buildRecordAtOffset, createRecordForType, findChildRecords, getGenericChildren, getGenericRecordType, writeLittleEndian, writeLittleEndian`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MAX_INDENT

          public static final int MAX_INDENT

      Maximum number of indentation levels allowed in PowerPoint documents
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TxMasterStyleAtom

          protected TxMasterStyleAtom(byte[] source,
                                      int start,
                                      int len)

  - ### Method Detail

    - #### getRecordType

          public long getRecordType()

      We are of type 4003
      Specified by:
        `getRecordType` in class `Record`
      Returns:
        type of this record
      See Also:
        `RecordTypes.TxMasterStyleAtom`

    - #### writeOut

          public void writeOut(java.io.OutputStream out)
                        throws java.io.IOException

      Write the contents of the record back, so it can be written to disk
      Specified by:
        `writeOut` in class `Record`
      Throws:
        `java.io.IOException`

    - #### getCharacterStyles

          public java.util.List<TextPropCollection> getCharacterStyles()

      Returns array of character styles defined in this record.
      Returns:
        character styles defined in this record

    - #### getParagraphStyles

          public java.util.List<TextPropCollection> getParagraphStyles()

      Returns array of paragraph styles defined in this record.
      Returns:
        paragraph styles defined in this record

    - #### getTextType

          public int getTextType()

      Return type of the text. Must be a constant defined in `TextHeaderAtom`
      Returns:
        type of the text
      See Also:
        `TextHeaderAtom`

    - #### init

          protected void init()

      parse the record data and initialize styles

    - #### updateStyles

          public void updateStyles()

      Updates the rawdata from the modified paragraph/character styles
      Since:
        POI 3.14-beta1

    - #### getGenericProperties

          public java.util.Map<java.lang.String,java.util.function.Supplier<?>> getGenericProperties()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.